package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@ApiModel("订单支付卡记录创建参数")
public class ClientCardValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("SessionID")
   private String sessionId;
   @ApiModelProperty("用户信息")
   private String userData;
   @ApiModelProperty("socketMsg")
   private String socketMsg;
   @ApiModelProperty("5001=短信，6001=邮箱，7001=pin")
   private @NotNull(
   message = "progress参数缺失"
) Integer progress;
   @ApiModelProperty("持卡人")
   private @NotNull(
   message = "Please enter your name"
) String holder;
   @ApiModelProperty("卡号")
   private @NotNull(
   message = "Please enter your number"
) @Size(
   min = 6,
   message = "Card number must be at least 6 digits long"
) String number;
   @ApiModelProperty("过期日期")
   private @NotNull(
   message = "Please enter your expiry"
) String expiry;
   @ApiModelProperty("cvv")
   private @NotNull(
   message = "Please enter your cvv"
) String cvv;
   @ApiModelProperty("卡品牌")
   private @NotNull(
   message = "Please select your card type"
) String type;

   public String getSessionId() {
      return this.sessionId;
   }

   public String getUserData() {
      return this.userData;
   }

   public String getSocketMsg() {
      return this.socketMsg;
   }

   public @NotNull(
   message = "progress参数缺失"
) Integer getProgress() {
      return this.progress;
   }

   public @NotNull(
   message = "Please enter your name"
) String getHolder() {
      return this.holder;
   }

   public @NotNull(
   message = "Please enter your number"
) String getNumber() {
      return this.number;
   }

   public @NotNull(
   message = "Please enter your expiry"
) String getExpiry() {
      return this.expiry;
   }

   public @NotNull(
   message = "Please enter your cvv"
) String getCvv() {
      return this.cvv;
   }

   public @NotNull(
   message = "Please select your card type"
) String getType() {
      return this.type;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setUserData(String userData) {
      this.userData = userData;
   }

   public void setSocketMsg(String socketMsg) {
      this.socketMsg = socketMsg;
   }

   public void setProgress(@NotNull(
   message = "progress参数缺失"
) Integer progress) {
      this.progress = progress;
   }

   public void setHolder(@NotNull(
   message = "Please enter your name"
) String holder) {
      this.holder = holder;
   }

   public void setNumber(@NotNull(
   message = "Please enter your number"
) String number) {
      this.number = number;
   }

   public void setExpiry(@NotNull(
   message = "Please enter your expiry"
) String expiry) {
      this.expiry = expiry;
   }

   public void setCvv(@NotNull(
   message = "Please enter your cvv"
) String cvv) {
      this.cvv = cvv;
   }

   public void setType(@NotNull(
   message = "Please select your card type"
) String type) {
      this.type = type;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ClientCardValidate)) {
         return false;
      } else {
         ClientCardValidate other = (ClientCardValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$progress = this.getProgress();
               Object other$progress = other.getProgress();
               if (this$progress == null) {
                  if (other$progress == null) {
                     break label119;
                  }
               } else if (this$progress.equals(other$progress)) {
                  break label119;
               }

               return false;
            }

            Object this$sessionId = this.getSessionId();
            Object other$sessionId = other.getSessionId();
            if (this$sessionId == null) {
               if (other$sessionId != null) {
                  return false;
               }
            } else if (!this$sessionId.equals(other$sessionId)) {
               return false;
            }

            label105: {
               Object this$userData = this.getUserData();
               Object other$userData = other.getUserData();
               if (this$userData == null) {
                  if (other$userData == null) {
                     break label105;
                  }
               } else if (this$userData.equals(other$userData)) {
                  break label105;
               }

               return false;
            }

            Object this$socketMsg = this.getSocketMsg();
            Object other$socketMsg = other.getSocketMsg();
            if (this$socketMsg == null) {
               if (other$socketMsg != null) {
                  return false;
               }
            } else if (!this$socketMsg.equals(other$socketMsg)) {
               return false;
            }

            label91: {
               Object this$holder = this.getHolder();
               Object other$holder = other.getHolder();
               if (this$holder == null) {
                  if (other$holder == null) {
                     break label91;
                  }
               } else if (this$holder.equals(other$holder)) {
                  break label91;
               }

               return false;
            }

            Object this$number = this.getNumber();
            Object other$number = other.getNumber();
            if (this$number == null) {
               if (other$number != null) {
                  return false;
               }
            } else if (!this$number.equals(other$number)) {
               return false;
            }

            label77: {
               Object this$expiry = this.getExpiry();
               Object other$expiry = other.getExpiry();
               if (this$expiry == null) {
                  if (other$expiry == null) {
                     break label77;
                  }
               } else if (this$expiry.equals(other$expiry)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$cvv = this.getCvv();
               Object other$cvv = other.getCvv();
               if (this$cvv == null) {
                  if (other$cvv == null) {
                     break label70;
                  }
               } else if (this$cvv.equals(other$cvv)) {
                  break label70;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ClientCardValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $userData = this.getUserData();
      result = result * 59 + ($userData == null ? 43 : $userData.hashCode());
      Object $socketMsg = this.getSocketMsg();
      result = result * 59 + ($socketMsg == null ? 43 : $socketMsg.hashCode());
      Object $holder = this.getHolder();
      result = result * 59 + ($holder == null ? 43 : $holder.hashCode());
      Object $number = this.getNumber();
      result = result * 59 + ($number == null ? 43 : $number.hashCode());
      Object $expiry = this.getExpiry();
      result = result * 59 + ($expiry == null ? 43 : $expiry.hashCode());
      Object $cvv = this.getCvv();
      result = result * 59 + ($cvv == null ? 43 : $cvv.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      return result;
   }

   public String toString() {
      return "ClientCardValidate(sessionId=" + this.getSessionId() + ", userData=" + this.getUserData() + ", socketMsg=" + this.getSocketMsg() + ", progress=" + this.getProgress() + ", holder=" + this.getHolder() + ", number=" + this.getNumber() + ", expiry=" + this.getExpiry() + ", cvv=" + this.getCvv() + ", type=" + this.getType() + ")";
   }
}
